List an agent's memory runs
curl --request GET \
--url https://api.recursion.labelbox.com/managed-agents/v1/agents/{agentId}/memory/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v1/agents/{agentId}/memory/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.recursion.labelbox.com/managed-agents/v1/agents/{agentId}/memory/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"addedCount": 0,
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"memoryStoreId": "<string>",
"mergedCount": 0,
"retiredCount": 0,
"runId": "<string>",
"status": "pending",
"triggeredBy": "schedule",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedCount": 0,
"agentVersionId": "<string>",
"digestCount": 0,
"driverSessionId": "<string>",
"endedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"errorType": "<string>",
"inputSessionIds": [
"<string>"
],
"instructions": "<string>",
"model": "<string>",
"modelRefId": "<string>"
}
],
"nextCursor": "<string>",
"total": 4503599627370495
}{
"code": "invalid_request",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "managed_agents_unavailable",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}Memory
List an agent's memory runs
Returns automatic memory updates and checks, newest first, including unchanged checks and failed attempts.
GET
/
managed-agents
/
v1
/
agents
/
{agentId}
/
memory
/
runs
List an agent's memory runs
Authorizations
A Recursion API key, created in the console under API keys.
Headers
Optional tenant consistency check. When present, it must name the tenant bound to the API key, including when x-organization-id is default.
Minimum string length:
1Organization in which to act. Required for a tenant-scoped API key. Optional for an organization-scoped key, where it must name that same organization. The value may be an organization id or default.
Minimum string length:
1Path Parameters
Agent whose automatic memory runs are listed.
Query Parameters
Opaque nextCursor from the previous memory run page.
Page size from 1 through 100, default 50.
Required range:
1 <= x <= 100